Index: doc/customizing.txt
===================================================================
--- doc/customizing.txt	(.../tags/roundup-1.1.2)	(revision 3)
+++ doc/customizing.txt	(.../branches/doc_AddTimeLogToMessages)	(revision 9)
@@ -3282,7 +3282,7 @@
    Note that we automatically get the date of the time log entry
    creation through the standard property "creation".
 
-2. Link to the new class from your issue class (again, in
+2. Link to the new class from your issue and message classes (again, in
    ``schema.py``)::
 
     issue = IssueClass(db, "issue", 
@@ -3290,6 +3290,16 @@
                     priority=Link("priority"), status=Link("status"),
                     times=Multilink("timelog"))
 
+    msg = FileClass(db, "msg",
+                    author=Link("user", do_journal='no'),
+                    recipients=Multilink("user", do_journal='no'),
+                    date=Date(),
+                    summary=String(),
+                    files=Multilink("file"),
+                    messageid=String(),
+                    inreplyto=String()
+                    times=Multilink("timelog"))
+
    the "times" property is the new link to the "timelog" class.
 
 3. We'll need to let people add in times to the issue, so in the web
@@ -3308,15 +3318,16 @@
      </td> 
     </tr> 
          
-   and another hidden field that links that new timelog item (new
-   because it's marked as having id "-1") to the issue item. It looks
-   like this::
+   and two more hidden fields that link that new timelog item (new
+   because it's marked as having id "-1") to the issue and message
+   items. It looks like this::
 
      <input type="hidden" name="@link@times" value="timelog-1" />
+     <input type="hidden" name="msg-1@link@times" value="timelog-1" />
 
    On submission, the "-1" timelog item will be created and assigned a
-   real item id. The "times" property of the issue will have the new id
-   added to it.
+   real item id. The "times" property of the issue and message will
+   have the new id added to it.
 
 4. We want to display a total of the timelog times that have been
    accumulated for an issue. To do this, we'll need to actually write
@@ -3340,7 +3351,8 @@
    We will now be able to access the ``totalTimeSpent`` function via the
    ``utils`` variable in our templates, as shown in the next step.
 
-5. Display the timelog for an issue::
+5. Display the timelog for an issue.  In ``issue.item.html`` and
+   ``msg.item.html``::
 
      <table class="otherinfo" tal:condition="context/times">
       <tr><th colspan="3" class="header">Time Log
@@ -3355,11 +3367,11 @@
       </tr>
      </table>
 
-   I put this just above the Messages log in my issue display. Note our
-   use of the ``totalTimeSpent`` method which will total up the times
-   for the issue and return a new Interval. That will be automatically
-   displayed in the template as text like "+ 1y 2:40" (1 year, 2 hours
-   and 40 minutes).
+   I put this just above the Messages log in my issue and message
+   display. Note our use of the ``totalTimeSpent`` method which will
+   total up the times for the issue and return a new Interval. That will
+   be automatically displayed in the template as text like "+ 1y 2:40"
+   (1 year, 2 hours and 40 minutes).
 
 8. If you're using a persistent web server - ``roundup-server`` or
    ``mod_python`` for example - then you'll need to restart that to pick up

 	  	 
